### Function

# GLib String sized_new

#### Declaration [src]

    GString*
    g_string_sized_new (
      gsize dfl_size
    )

#### Description [src]

Creates a new `GString`, with enough space for `dfl_size` bytes. This is useful if you are going to add a lot of text to the string and don’t want it to be reallocated too often.

#### Parameters

`dfl_size`

  Type: `gsize`

  The default size of the space allocated to hold the string.

#### Return value

Type: `GString`

The new `GString`.

The caller of the function takes ownership of the data, and is responsible for freeing it.